
body {
    background-image: url('img/Background.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-color: #333;
    color: white;
    font-family: sans-serif;
    display: flex;
    flex-direction: column; /* Align items vertically */
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
}

.main-container {
    text-align: center;
}

#logo {
    width: 24vw; /* Adjust as needed */
    max-width: 240px;
    margin-bottom: 0;
    filter: drop-shadow(5px 5px 10px #000);
}

h2 {
    font-size: 3.9rem;
    color: white;
    text-shadow: 2px 2px 8px rgba(0, 0, 0, 0.7);
    margin-top: 0;
}

#partner-logos {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap; /* Allow items to wrap to the next line on small screens */
    margin-top: 30px;
}

.partner-logo {
    width: 13.5vw; /* 10% smaller */
    max-width: 135px; /* 10% smaller */
    filter: drop-shadow(3px 3px 6px #000);
    transition: all 0.3s ease-in-out;
}

.partner-logo:hover {
    filter: drop-shadow(0 0 10px rgba(255, 255, 255, 0.8));
    transform: scale(1.1);
}

#drakes-logo {
    width: 10.8vw; /* 10% smaller */
    max-width: 108px; /* 10% smaller */
}

#bear-logo {
    width: 16.2vw; /* 10% smaller */
    max-width: 162px; /* 10% smaller */
}

#fig-logo {
    width: 16.2vw; /* 10% smaller */
    max-width: 162px; /* 10% smaller */
}

#house-beer-logo {
    width: 10vw;
    max-width: 100px;
}

.plus-sign {
    font-size: 5rem;
    color: white;
    text-shadow: 2px 2px 8px rgba(0, 0, 0, 0.7);
    margin: 0 10px;
}

@media (max-width: 768px) {
    body {
        justify-content: flex-start;
        padding-top: 5vh;
        height: auto;
        overflow-y: auto;
    }

    h2 {
        font-size: 2.5rem;
    }

    #partner-logos {
        flex-direction: column;
        margin-bottom: 5vh;
    }

    .partner-logo,
    #drakes-logo,
    #bear-logo,
    #fig-logo,
    #house-beer-logo {
        width: 21.38vw; 
        max-width: 93px; 
    }

    .plus-sign {
        font-size: 3rem;
        margin: 15px 0;
    }
}
